<?xml version="1.0" encoding="windows-1251" ?>
<game_dialogs>
    <dialog id="common_repair_dialog">
        <precondition>dialogs.is_opp_not_wounded</precondition>
        <precondition>dialogs_repair.trader_repair_precond</precondition>
        <phrase_list>
            <phrase id="0">
                <action>dialogs_repair.init_dialog</action>
                <text>common_repair_dialog_0</text>
                <next>1</next>
                <next>01x</next>
            </phrase>
            <phrase id="01x">
                <precondition>dialogs_repair.npc_cant_repair_precond</precondition>
                <text>common_repair_dialog_01</text>
            </phrase>
            <phrase id="1">
                <precondition>dialogs_repair.npc_can_repair_precond</precondition>
                <text>common_repair_dialog_1</text>
                <action>dialogs_repair.repair_costs</action>
                <next>2</next>
                <next>3</next>
                <next>4</next>
                <next>5</next>
            </phrase>
            <phrase id="2">
                <precondition>dialogs_repair.trader_check_money_s1</precondition>
                <text>common_repair_dialog_2</text>
                <action>dialogs_repair.trader_repiar_weapon_s1</action>
                <next>6</next>
            </phrase>
            <phrase id="3">
                <precondition>dialogs_repair.trader_check_money_s2</precondition>
                <text>common_repair_dialog_3</text>
                <action>dialogs_repair.trader_repiar_weapon_s2</action>
                <next>6</next>
            </phrase>
            <phrase id="4">
                <precondition>dialogs_repair.trader_check_money_s6</precondition>
                <text>common_repair_dialog_4</text>
                <action>dialogs_repair.trader_repiar_armor_s6</action>
                <next>7</next>
            </phrase>
            <phrase id="5">
                <text>common_repair_dialog_5</text>
            </phrase>
            <phrase id="6">
                <text>common_repair_dialog_6</text>
                <next>8</next>
                <next>10</next>
            </phrase>
            <phrase id="7">
                <text>common_repair_dialog_7</text>
                <next>9</next>
                <next>10</next>
            </phrase>
            <phrase id="8">
                <text>common_repair_dialog_8</text>
            </phrase>
            <phrase id="9">
                <text>common_repair_dialog_9</text>
            </phrase>
            <phrase id="10">
                <precondition>dialogs_repair.trader_repair_precond</precondition>
                <text>common_repair_dialog_10</text>
                <next>11</next>
            </phrase>
            <phrase id="11">
                <text>common_repair_dialog_11</text>
                <action>dialogs_repair.repair_costs</action>
                <next>2</next>
                <next>3</next>
                <next>4</next>
                <next>5</next>
            </phrase>
        </phrase_list>
    </dialog>